%define pkgname xkb-utils
%define xkbutils_version 1.0.1

Summary: X.Org X11 xkb utilities
Name: xorg-x11-%{pkgname}
# FIXME: The version field should be the same as the xkbutils tarball version,
# but it got accidentally bumped to 1.0.2.  When xkbutils 1.0.2 is actually
# released, please use the %%{xkbutils_version} macro here to help prevent
# inadvertent bumps in the future.
Version: 1.0.2
# NOTE: Bump the release field when updating xkbcomp/xkbevd/xkbprint/setxkbmap,
# as the package version is supposed to be the xkbutils version.
Release: 3%{?dist}
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: ftp://ftp.x.org/pub/individual/app/xkbutils-%{xkbutils_version}.tar.bz2
Source1: ftp://ftp.x.org/pub/individual/app/xkbcomp-1.0.2.tar.bz2
Source2: ftp://ftp.x.org/pub/individual/app/xkbevd-1.0.2.tar.bz2
Source3: ftp://ftp.x.org/pub/individual/app/xkbprint-1.0.1.tar.bz2
Source4: ftp://ftp.x.org/pub/individual/app/setxkbmap-1.0.2.tar.bz2

BuildRequires: pkgconfig
# libxkbfile-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libxkbfile-devel
# libX11-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libX11-devel
# libXaw-devel needed for xkbutils
BuildRequires: libXaw-devel
# libXt-devel needed for xkbutils
BuildRequires: libXt-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXext
# libXext-devel needed for xkbutils (from above error)
BuildRequires: libXext-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXpm
# libXpm-devel needed for xkbutils (from above error)
BuildRequires: libXpm-devel

#Provides: %{pkgname}
Provides: setxkbmap, xkbcomp, xkbevd, xkbprint, xkbutils
# NOTE: The XFree86, and xorg-x11 packages used to contain the xkb utilities
# in the previous monolithic based releases.
Obsoletes: XFree86, xorg-x11

%description
X.Org X11 xkb utilities

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4

%build
# Build everything
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRCASECMP"
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
# FIXME: The package version is higher than the actual xkbutils version
# currently, so this hack is necessary.  When xkbutils 1.0.2 is actually
# released, this should be restored to use the "version" macro, which will
# also have the side effect of helping prevent premature package version
# incrementation.
#%doc xkbutils-%{version}/AUTHORS xkbutils-%{version}/COPYING xkbutils-%{version}/INSTALL
#%doc xkbutils-%{version}/NEWS xkbutils-%{version}/README xkbutils-%{version}/ChangeLog
%doc xkbutils-%{xkbutils_version}/AUTHORS xkbutils-%{xkbutils_version}/COPYING xkbutils-%{xkbutils_version}/INSTALL
%doc xkbutils-%{xkbutils_version}/NEWS xkbutils-%{xkbutils_version}/README xkbutils-%{xkbutils_version}/ChangeLog
%{_bindir}/setxkbmap
%{_bindir}/xkbbell
%{_bindir}/xkbcomp
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
#%dir %{_mandir}/man1x
# FIXME: manpages are missing for xkbbell, xkbvleds, xkbwatch.  I examined
# the monolithic packaging however, and it does not appear to have manpages
# for them either.
%{_mandir}/man1/setxkbmap.1x*
%{_mandir}/man1/xkbcomp.1x*
%{_mandir}/man1/xkbevd.1x*
%{_mandir}/man1/xkbprint.1x*

%changelog
* Mon Jan 08 2007 Adam Jackson <ajax@redhat.com> 1.0.2-3
- From OLPC: jam -DHAVE_STRCASECMP into CFLAGS to make xkbcomp (and therefore
  X server startup) slightly less painfully slow.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-2
- Added xkbutils_version macro, which can be used in the Version field
  in the future, to help prevent accidental bumping of the package version.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.2-1
- Update setxkbmap, xkbevd, and xkbcomp

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default.

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Change from "Conflicts" to "Obsoletes: XFree86, xorg-x11" for upgrades.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated to xkbutils-0.99.1, setxkbmap-0.99.2, xkbcomp-0.99.1, xkbevd-0.99.2,
  xkbprint-0.99.1 from X11R7 RC2.

* Thu Nov 10 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Updated xkbutils to version 0.99.0 from X11R7 RC1.  The upstream tarball
  changed, but the version stayed the same.  <sigh>
- Updated setxkbmap, xkbcomp, xkbevd, xkbprint.
- Change manpage location to 'man1x' in file manifest.
- Iterate over packages with for loop instead of serialized code duplication.

* Wed Oct 05 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Use Fedora-Extras style BuildRoot tag.
- Update BuildRequires to use new library package names.
- Tidy up spec file a bit.

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
